Show / Hide Table of Contents

# Class QueryExecuteSubsetResult

Parameters for the result of a subset retrieval request

##### Inheritance

System.Object
QueryExecuteSubsetResult

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.QueryExecution.Contracts

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class QueryExecuteSubsetResult

### Properties

| Improve this Doc View Source

#### Message

Subset request error messages. Optional, can be set to null to indicate no errors

##### Declaration

    public string Message { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### ResultSubset

The requested subset of results. Optional, can be set to null to indicate an error

##### Declaration

    public ResultSetSubset ResultSubset { get; set; }

##### Property Value

Type | Description
--- | ---
ResultSetSubset |